Не удалось разрешить все зависимости для конфигурации ': classpath'

Кажется, я не могу создать инструменты для создания последней градации. Я подозреваю, что это связано с настройкой прокси для gradle. У меня был хороший взгляд онлайн, но, похоже, он не нашел решения. Я использую gradle 2.1.

Я создал файл gradle.properties в папке /home/user/.gradle с этими настройками.

SystemProp.http.proxyHost = proxy systemProp.http.proxyPort = 80 systemProp.http.proxyUser = myusername systemProp.http.proxyPassword = пароль

SystemProp.https.proxyHost = proxy systemProp.https.proxyPort = 80 systemProp.https.proxyUser = myusername systemProp.https.proxyPassword = пароль

Вот мой глобальный build.gradle

buildscript { repositories { mavenLocal() mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.13.0' classpath fileTree(dir: 'build-libs', include: '*.jar') } } allprojects { repositories { mavenCentral() } } 

И вот ошибка, которую я получаю при запуске grawlew Не удалось HEAD ' https://repo1.maven.org/maven2/com/android/tools/build/gradle/0.13.0/gradle-0.13.0.pom '. Не аутентифицирован

Что мне не хватает? Что maven-ссылка открывается в браузере.

Solutions Collecting From Web of "Не удалось разрешить все зависимости для конфигурации ': classpath'"

Правильно, я не уверен, что он будет работать для других, но работал на меня.

Я изменил proxyPort на 8080 и использовал jcenter вместо Maven. Но мне пришлось применить expeption для использования HTTP вместо HTTPS. Это то, что у меня есть в моем gradle.build для скрипта build и allprojects

 buildscript { repositories { jcenter { url "http://jcenter.bintray.com/" } } } allprojects { repositories { jcenter { url "http://jcenter.bintray.com/" } } } 

ОБНОВЛЕНИЕ: 06/08

Недавно я обновил версию Gradle и плагина и имел некоторые проблемы. Он жаловался на плагин com.android.application

Я немного погубил и изменил

  jcenter { url "http://jcenter.bintray.com/" } 

в

  repositories { maven { url 'http://repo1.maven.org/maven2' } } 

Я пытаюсь изменить хранилища и импортировать cer в java, но оба не удалось, затем я обновляю версию jdk с 1.8.0_66 до 1.8.0_74, успех построения градации.

Поздно, но это сработало для меня:
Измените настройку dns, перейдя в сеть и центр обмена .
В левой панели выберите настройку адаптера изменения
Прямо щелкните по сетевому соединению
свойства
-выберите ipv4
свойства
– теперь в настройках сервера dns: –
-выберите опцию, используя следующие адреса DNS-сервера
И использовать DNS-сервер google 8.8.8.8 в качестве предпочтительного сервера DNS и 8.8.4.4 в качестве альтернативного DNS-сервера .

Он решит вашу проблему.